Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy
Class BaseMavenDeployer

    java.lang.Object
      org.gradle.api.internal.artifacts.publish.maven.deploy.AbstractMavenResolver
          org.gradle.api.internal.artifacts.publish.maven.deploy.BaseMavenDeployer

All Implemented Interfaces:
  MavenDeployer

    class BaseMavenDeployer
    extends AbstractMavenResolver

author:
  Hans Dockter

Constructor Summary
`BaseMavenDeployer(java.lang.String name, PomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)`

Method Summary
`void` | `addProtocolProviderJars(Collection jars)`
`protected InstallDeployTaskSupport` | `createPreConfiguredTask(Project project)`
`Configuration` | `getConfiguration()`
`DeployTaskFactory` | `getDeployTaskFactory()`
`RemoteRepository` | `getRepository()`
`RemoteRepository` | `getSnapshotRepository()`
`boolean` | `isUniqueVersion()`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setDeployTaskFactory(DeployTaskFactory deployTaskFactory)`
`void` | `setRepository(RemoteRepository remoteRepository)`
`void` | `setSnapshotRepository(RemoteRepository remoteSnapshotRepository)`
`void` | `setUniqueVersion(boolean uniqueVersion)`

Methods inherited from class AbstractMavenResolver
abortPublishTransaction, addFilter, beginPublishTransaction, commitPublishTransaction, createPreConfiguredTask, download, download, dumpSettings, exists, filter, findIvyFileRef, getActivePomFilters, getArtifactPomContainer, getConfigurationContainer, getDependency, getFilter, getName, getNamespace, getPom, getPomFilterContainer, getRepositoryCacheManager, getSettings, listModules, listOrganisations, listRevisions, listTokenValues, listTokenValues, locate, pom, publish, reportFailure, reportFailure, setArtifactPomContainer, setConfigurationContainer, setFilter, setName, setPom, setPomFilterContainer, setSettings

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### BaseMavenDeployer

    public BaseMavenDeployer(java.lang.String name, PomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)

Method Detail

### addProtocolProviderJars

    public void addProtocolProviderJars(Collection jars)

### createPreConfiguredTask

    protected InstallDeployTaskSupport createPreConfiguredTask(Project project)

### getConfiguration

    public Configuration getConfiguration()

### getDeployTaskFactory

    public DeployTaskFactory getDeployTaskFactory()

### getRepository

    public RemoteRepository getRepository()

### getSnapshotRepository

    public RemoteRepository getSnapshotRepository()

### isUniqueVersion

    public boolean isUniqueVersion()

### setConfiguration

    public void setConfiguration(Configuration configuration)

### setDeployTaskFactory

    public void setDeployTaskFactory(DeployTaskFactory deployTaskFactory)

### setRepository

    public void setRepository(RemoteRepository remoteRepository)

### setSnapshotRepository

    public void setSnapshotRepository(RemoteRepository remoteSnapshotRepository)

### setUniqueVersion

    public void setUniqueVersion(boolean uniqueVersion)

Groovy Documentation